Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 521704 - Firefox spec in F-11 lacks URL or description of how to grab source
Summary: Firefox spec in F-11 lacks URL or description of how to grab source
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 225755
TreeView+ depends on / blocked
 
Reported: 2009-09-07 20:37 UTC by Conrad Meyer
Modified: 2009-11-20 07:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 07:30:53 UTC
Type: ---


Attachments (Terms of Use)

Description Conrad Meyer 2009-09-07 20:37:29 UTC
Description of problem:

The firefox spec (current F-11 one at: http://cvs.fedoraproject.org/viewvc/rpms/firefox/F-11/firefox.spec?revision=1.337&view=markup ) lacks any documentation about how to obtain the source.

This violates the packaging guidelines (https://fedoraproject.org/wiki/Packaging:SourceURL) and should be fairly easy to fix (either make %Source0 a URL, or describe how to get the source).


Version-Release number of selected component (if applicable):
CVS revision 1.337, ironically enough.


Additional Info:
In my specific case, I was looking for the firefox source code at the upstream website, but couldn't find it easily. So, I looked in pkgdb for firefox, went to CVS, and looked for a Source0 URL, but was disappointed to find no such URL nor any instructions for getting the source.

Comment 1 Martin Stransky 2009-10-12 14:42:21 UTC
Does 

URL:            http://www.mozilla.org/projects/firefox/

work for you?

Comment 2 Conrad Meyer 2009-10-12 16:49:15 UTC
Maybe put this URL[0] in a comment above %Source0?

[0]: https://developer.mozilla.org/en/Mozilla_Source_Code_%28HTTP%2f%2fFTP%29#Download

Comment 3 Martin Stransky 2009-11-20 07:30:53 UTC
added to firefox-3.6.1-0.3.b3.fc13


Note You need to log in before you can comment on or make changes to this bug.